Bug 1178171 - (CVE-2014-3577) VUL-0: CVE-2014-3577: apache-commons-httpclient:MITM security vulnerability
(CVE-2014-3577)
VUL-0: CVE-2014-3577: apache-commons-httpclient:MITM security vulnerability
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: unspecified
Assigned To: Security Team bot
Security Team bot
CVSSv3.1:SUSE:CVE-2014-3577:6.5:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-27 10:51 UTC by Pedro Monreal Gonzalez
Modified: 2021-01-27 17:06 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro Monreal Gonzalez 2020-10-27 10:51:17 UTC
org.apache.http.conn.ssl.AbstractVerifier in Apache HttpComponents HttpClient before 4.3.5 and HttpAsyncClient before 4.0.2 does not properly verify that the server hostname matches a domain name in the subject's Common Name (CN) or subjectAltName field of the X.509 certificate, which allows man-in-the-middle attackers to spoof SSL servers via a "CN=" string in a field in the distinguished name (DN) of a certificate, as demonstrated by the "foo,CN=www.apache.org" string in the O field

https://nvd.nist.gov/vuln/detail/CVE-2014-3577

Affected SLE versions:
   SUSE_SLE-15-SP2_Update
   SUSE_SLE-15_Update
   SUSE_SLE-12_Update

Fedora and Debian patches for version 3.1:
   https://src.fedoraproject.org/rpms/jakarta-commons-httpclient/blob/master/f/0004-CVE-2014-3577.patch
   https://sources.debian.org/src/commons-httpclient/3.1-15/debian/patches/CVE-2014-3577.patch/
Comment 3 Swamp Workflow Management 2020-11-04 14:14:56 UTC
SUSE-SU-2020:3149-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1178171,945190
CVE References: CVE-2014-3577,CVE-2015-5262
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    apache-commons-httpclient-3.1-6.3.1
SUSE OpenStack Cloud Crowbar 8 (src):    apache-commons-httpclient-3.1-6.3.1
SUSE OpenStack Cloud 9 (src):    apache-commons-httpclient-3.1-6.3.1
SUSE OpenStack Cloud 8 (src):    apache-commons-httpclient-3.1-6.3.1
SUSE OpenStack Cloud 7 (src):    apache-commons-httpclient-3.1-6.3.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    apache-commons-httpclient-3.1-6.3.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    apache-commons-httpclient-3.1-6.3.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    apache-commons-httpclient-3.1-6.3.1
SUSE Linux Enterprise Server 12-SP5 (src):    apache-commons-httpclient-3.1-6.3.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    apache-commons-httpclient-3.1-6.3.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    apache-commons-httpclient-3.1-6.3.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    apache-commons-httpclient-3.1-6.3.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    apache-commons-httpclient-3.1-6.3.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    apache-commons-httpclient-3.1-6.3.1
SUSE Enterprise Storage 5 (src):    apache-commons-httpclient-3.1-6.3.1
HPE Helion Openstack 8 (src):    apache-commons-httpclient-3.1-6.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2020-11-04 14:16:00 UTC
SUSE-SU-2020:3151-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1178171,945190
CVE References: CVE-2014-3577,CVE-2015-5262
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    apache-commons-httpclient-3.1-4.3.2
SUSE Linux Enterprise Server 15-LTSS (src):    apache-commons-httpclient-3.1-4.3.2
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    apache-commons-httpclient-3.1-4.3.2
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    apache-commons-httpclient-3.1-4.3.2
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    apache-commons-httpclient-3.1-4.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2020-11-04 14:19:15 UTC
SUSE-SU-2020:3152-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1178171,945190
CVE References: CVE-2014-3577,CVE-2015-5262
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    apache-commons-httpclient-3.1-11.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2020-11-07 17:15:38 UTC
openSUSE-SU-2020:1873-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1178171,945190
CVE References: CVE-2014-3577,CVE-2015-5262
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    apache-commons-httpclient-3.1-lp151.4.3.1
Comment 7 Swamp Workflow Management 2020-11-08 11:14:46 UTC
openSUSE-SU-2020:1875-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1178171,945190
CVE References: CVE-2014-3577,CVE-2015-5262
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    apache-commons-httpclient-3.1-lp152.6.3.1
Comment 8 Alexandros Toptsoglou 2021-01-27 17:06:13 UTC
DONE